Create Share Request
https://app.fossa.com/api/v1/share-requestsCreate a new share request for an SBOM revision. This endpoint queues a job to process the share request and returns a task reference.
Request body (required) · application/json
revisionIdstringrequiredThe locator for the revision to share
sharedOrganizationIdinteger <int64>requiredThe ID of the shared organization record
Responses
201The share request was created successfully and a job was queued to process it.taskobjectnamestringIdentifier for the task type (e.g., "ProjectRevisionShare")
jobTokenstringToken used to track the share job
400Bad RequestuuidstringUnique identifier associated with the error
codeintegerfossa specific error code
messagestringmessage associated with this error
namestringname of the error
httpStatusCodeintegerhttp status code number
403ForbiddenuuidstringUnique identifier associated with the error
codeintegerfossa specific error code
messagestringmessage associated with this error
namestringname of the error
httpStatusCodeintegerhttp status code number
404Not FounduuidstringUnique identifier associated with the error
codeintegerfossa specific error code
messagestringmessage associated with this error
namestringname of the error
httpStatusCodeintegerhttp status code number
500Server ErroruuidstringUnique identifier associated with the error
codeintegerfossa specific error code
messagestringmessage associated with this error
namestringname of the error
httpStatusCodeintegerhttp status code number
Try this endpoint
Build a request and run it against app.fossa.com.
Stored in this browser for 24 hours. Try It uses a docs proxy for CORS and does not store tokens server-side.
POST https://app.fossa.com/api/v1/share-requestscurl --request POST \ --url 'https://app.fossa.com/api/v1/share-requests' \ --header 'accept: application/json' \ --header 'authorization: Bearer YOUR_API_TOKEN' \ --header 'content-type: application/json' \ --data '{ "revisionId": "string", "sharedOrganizationId": 1}'Real request. Mutating methods can change data.